## org.apache.commons.math.linear
Interface RealMatrixChangingVisitor

All Known Implementing Classes:
  DefaultRealMatrixChangingVisitor

    public interface RealMatrixChangingVisitor

Interface defining a visitor for matrix entries.

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $
See Also:
  `DefaultRealMatrixChangingVisitor`

Method Summary
`double` `end()` End visiting a matrix.
`void` `start(int rows, int columns, int startRow, int endRow, int startColumn, int endColumn)` Start visiting a matrix.
`double` `visit(int row, int column, double value)` Visit one matrix entry.

Method Detail

### start

    void start(int rows,
               int columns,
               int startRow,
               int endRow,
               int startColumn,
               int endColumn)

  Start visiting a matrix.

  This method is called once before any entry of the matrix is visited.

  Parameters:
    `rows` - number of rows of the matrix
    `columns` - number of columns of the matrix
    `startRow` - Initial row index
    `endRow` - Final row index (inclusive)
    `startColumn` - Initial column index
    `endColumn` - Final column index (inclusive)

### visit

    double visit(int row,
                 int column,
                 double value)
                 throws MatrixVisitorException

  Visit one matrix entry.

  Parameters:
    `row` - row index of the entry
    `column` - column index of the entry
    `value` - current value of the entry
  Returns:
    the new value to be set for the entry
  Throws:
    `MatrixVisitorException` - if something wrong occurs

### end

    double end()

  End visiting a matrix.

  This method is called once after all entries of the matrix have been visited.

  Returns:
    the value that the `walkInXxxOrder` must return

Copyright (c) 2003-2010 Apache Software Foundation